/**************************************************************************//**
* @file
* @brief em355x_baseband Register and Bit Field definitions
* @version 5.8.3
******************************************************************************
* @section License
* <b>(C) Copyright 2014 Silicon Labs, www.silabs.com</b>
*******************************************************************************
*
* Permission is granted to anyone to use this software for any purpose,
* including commercial applications, and to alter it and redistribute it
* freely, subject to the following restrictions:
*
* 1. The origin of this software must not be misrepresented; you must not
*    claim that you wrote the original software.
* 2. Altered source versions must be plainly marked as such, and must not be
*    misrepresented as being the original software.
* 3. This notice may not be removed or altered from any source distribution.
*
* DISCLAIMER OF WARRANTY/LIMITATION OF REMEDIES: Silicon Labs has no
* obligation to support this Software. Silicon Labs is providing the
* Software "AS IS", with no express or implied warranties of any kind,
* including, but not limited to, any implied warranties of merchantability
* or fitness for any particular purpose or warranties against infringement
* of any proprietary rights of a third party.
*
* Silicon Labs will not be liable for any consequential, incidental, or
* special damages, or any other relief, or for any claim by any third party,
* arising from your use of this Software.
*
******************************************************************************/

#ifndef EM355X_BASEBAND_H
#define EM355X_BASEBAND_H

/**************************************************************************//**
 * @defgroup EM355X_BASEBAND
 * @{
 * @brief EM355X_BASEBAND Register Declaration
 *****************************************************************************/

typedef struct {
  __IOM uint32_t MODCALCTRL;
  __IM uint32_t MODCALCOUNTH;
  __IM uint32_t MODCALCOUNTL;
  __IM uint32_t RSSIROLLING;
  __IM uint32_t RSSIPKT;
  __IM uint32_t RXADC;
  __IOM uint32_t DEBUGBBMODE;
  __IOM uint32_t BBDEBUG;
  __IM uint32_t BBDEBUGVIEW;
  __IOM uint32_t IFFREQ;
  __IOM uint32_t MODEN;
  __IOM uint32_t PRESCALECTRL;
  __IOM uint32_t ADCBYPASSEN;
  __IOM uint32_t FIXEDCODEEN;
  __IOM uint32_t FIXEDCODEH;
  __IOM uint32_t FIXEDCODEL;
  __IM uint32_t FIXEDCODELSHADOW;
  __IOM uint32_t RXGAINCTRL;
  __IOM uint32_t PDDITHEREN;
  __IOM uint32_t RXERRTHRESH;
  __IOM uint32_t CARRIERTHRESH;
  __IOM uint32_t RSSITHRESH;
  __IOM uint32_t SYNTHSTART;
  __IOM uint32_t INLOCKEN;
  __IOM uint32_t DITHERAMPLITUDE;
  __IOM uint32_t TXSTEPTIME;
  __IOM uint32_t GAINTHRESHMAX;
  __IOM uint32_t GAINTHRESHMID;
  __IOM uint32_t GAINTHRESHMIN;
  __IOM uint32_t GAINSETTING0;
  __IOM uint32_t GAINSETTING1;
  __IOM uint32_t GAINSETTING2;
  __IOM uint32_t GAINSETTING3;
  __IOM uint32_t GAINSETTING4;
  __IOM uint32_t GAINSETTING5;
  __IOM uint32_t GAINSETTING6;
  __IOM uint32_t GAINSETTING7;
  __IOM uint32_t GAINSETTING8;
  __IOM uint32_t GAINSETTING9;
  __IOM uint32_t GAINSETTING10;
  __IOM uint32_t GAINSETTING11;
  __IOM uint32_t GAINCTRLMINRF;
  __IOM uint32_t GAINCTRLMAXRF;
  __IOM uint32_t MIXERGAINSTEP;
  __IOM uint32_t PREAMBLEEVENT;
  __IOM uint32_t PREAMBLEABORTTHRESH;
  __IOM uint32_t PREAMBLEACCEPTWINDOW;
  __IOM uint32_t CCAMODE;
  __IOM uint32_t TXPOWERMAX;
  __IOM uint32_t SYNTHFREQH;
  __IOM uint32_t SYNTHFREQL;
  __IM uint32_t RSSIINST;
  __IOM uint32_t FREQMEASCTRL1;
  __IOM uint32_t FREQMEASCTRL2;
  __IOM uint32_t FREQMEASSHIFT;
  __IM uint32_t FREQMEASSTATUS1;
  __IM uint32_t FREQMEASSTATUS2;
  __IM uint32_t FREQMEASSTATUS3;
  __IOM uint32_t SCRCTRL;
  __IM uint32_t SCRBUSY;
  __IOM uint32_t SCRADDR;
  __IOM uint32_t SCRWRITE;
  __IM uint32_t SCRREAD;
  __IM uint32_t SYNTHLOCK;
  __IM uint32_t ANCALSTATUS;
  __IM uint32_t BIASCALSTATUS;
  __IOM uint32_t ATESTSEL;
  __IOM uint32_t ANENTEST;
  __IOM uint32_t TUNEFILTERCTRL;
  __IOM uint32_t NOISEEN;
} BASEBAND_TypeDef;              /** @} */

/**************************************************************************//**
 * @defgroup EM355X_BASEBAND_BitFields
 * @{
 *****************************************************************************/

/* Bit fields for BASEBAND MODCALCTRL */
#define _BASEBAND_MODCALCTRL_RESETVALUE        0x00000000UL
#define _BASEBAND_MODCALCTRL_MASK              0x00008013UL
#define BASEBAND_MODCALCTRL_GO                 (0x1UL << 15)
#define _BASEBAND_MODCALCTRL_GO_SHIFT          15
#define _BASEBAND_MODCALCTRL_GO_MASK           0x8000UL
#define _BASEBAND_MODCALCTRL_GO_DEFAULT        0x00000000UL
#define BASEBAND_MODCALCTRL_GO_DEFAULT         (_BASEBAND_MODCALCTRL_GO_DEFAULT << 15)
#define BASEBAND_MODCALCTRL_DONE               (0x1UL << 4)
#define _BASEBAND_MODCALCTRL_DONE_SHIFT        4
#define _BASEBAND_MODCALCTRL_DONE_MASK         0x10UL
#define _BASEBAND_MODCALCTRL_DONE_DEFAULT      0x00000000UL
#define BASEBAND_MODCALCTRL_DONE_DEFAULT       (_BASEBAND_MODCALCTRL_DONE_DEFAULT << 4)
#define _BASEBAND_MODCALCTRL_CYCLES_SHIFT      0
#define _BASEBAND_MODCALCTRL_CYCLES_MASK       0x3UL
#define _BASEBAND_MODCALCTRL_CYCLES_DEFAULT    0x00000000UL
#define BASEBAND_MODCALCTRL_CYCLES_DEFAULT     (_BASEBAND_MODCALCTRL_CYCLES_DEFAULT << 0)

/* Bit fields for BASEBAND MODCALCOUNTH */
#define _BASEBAND_MODCALCOUNTH_RESETVALUE        0x00000000UL
#define _BASEBAND_MODCALCOUNTH_MASK              0x000000FFUL
#define _BASEBAND_MODCALCOUNTH_COUNTH_SHIFT      0
#define _BASEBAND_MODCALCOUNTH_COUNTH_MASK       0xFFUL
#define _BASEBAND_MODCALCOUNTH_COUNTH_DEFAULT    0x00000000UL
#define BASEBAND_MODCALCOUNTH_COUNTH_DEFAULT     (_BASEBAND_MODCALCOUNTH_COUNTH_DEFAULT << 0)

/* Bit fields for BASEBAND MODCALCOUNTL */
#define _BASEBAND_MODCALCOUNTL_RESETVALUE        0x00000000UL
#define _BASEBAND_MODCALCOUNTL_MASK              0x0000FFFFUL
#define _BASEBAND_MODCALCOUNTL_COUNTL_SHIFT      0
#define _BASEBAND_MODCALCOUNTL_COUNTL_MASK       0xFFFFUL
#define _BASEBAND_MODCALCOUNTL_COUNTL_DEFAULT    0x00000000UL
#define BASEBAND_MODCALCOUNTL_COUNTL_DEFAULT     (_BASEBAND_MODCALCOUNTL_COUNTL_DEFAULT << 0)

/* Bit fields for BASEBAND RSSIROLLING */
#define _BASEBAND_RSSIROLLING_RESETVALUE             0x00000000UL
#define _BASEBAND_RSSIROLLING_MASK                   0x00003FFFUL
#define _BASEBAND_RSSIROLLING_RSSIROLLING_SHIFT      0
#define _BASEBAND_RSSIROLLING_RSSIROLLING_MASK       0x3FFFUL
#define _BASEBAND_RSSIROLLING_RSSIROLLING_DEFAULT    0x00000000UL
#define BASEBAND_RSSIROLLING_RSSIROLLING_DEFAULT     (_BASEBAND_RSSIROLLING_RSSIROLLING_DEFAULT << 0)

/* Bit fields for BASEBAND RSSIPKT */
#define _BASEBAND_RSSIPKT_RESETVALUE         0x00000000UL
#define _BASEBAND_RSSIPKT_MASK               0x000000FFUL
#define _BASEBAND_RSSIPKT_RSSIPKT_SHIFT      0
#define _BASEBAND_RSSIPKT_RSSIPKT_MASK       0xFFUL
#define _BASEBAND_RSSIPKT_RSSIPKT_DEFAULT    0x00000000UL
#define BASEBAND_RSSIPKT_RSSIPKT_DEFAULT     (_BASEBAND_RSSIPKT_RSSIPKT_DEFAULT << 0)

/* Bit fields for BASEBAND RXADC */
#define _BASEBAND_RXADC_RESETVALUE       0x00000024UL
#define _BASEBAND_RXADC_MASK             0x0000007FUL
#define _BASEBAND_RXADC_RXADC_SHIFT      0
#define _BASEBAND_RXADC_RXADC_MASK       0x7FUL
#define _BASEBAND_RXADC_RXADC_DEFAULT    0x00000024UL
#define BASEBAND_RXADC_RXADC_DEFAULT     (_BASEBAND_RXADC_RXADC_DEFAULT << 0)

/* Bit fields for BASEBAND DEBUGBBMODE */
#define _BASEBAND_DEBUGBBMODE_RESETVALUE               0x00000000UL
#define _BASEBAND_DEBUGBBMODE_MASK                     0x00008003UL
#define BASEBAND_DEBUGBBMODE_DEBUGBBMODEEN             (0x1UL << 15)
#define _BASEBAND_DEBUGBBMODE_DEBUGBBMODEEN_SHIFT      15
#define _BASEBAND_DEBUGBBMODE_DEBUGBBMODEEN_MASK       0x8000UL
#define _BASEBAND_DEBUGBBMODE_DEBUGBBMODEEN_DEFAULT    0x00000000UL
#define BASEBAND_DEBUGBBMODE_DEBUGBBMODEEN_DEFAULT     (_BASEBAND_DEBUGBBMODE_DEBUGBBMODEEN_DEFAULT << 15)
#define _BASEBAND_DEBUGBBMODE_DEBUGBBMODE_SHIFT        0
#define _BASEBAND_DEBUGBBMODE_DEBUGBBMODE_MASK         0x3UL
#define _BASEBAND_DEBUGBBMODE_DEBUGBBMODE_DEFAULT      0x00000000UL
#define BASEBAND_DEBUGBBMODE_DEBUGBBMODE_DEFAULT       (_BASEBAND_DEBUGBBMODE_DEBUGBBMODE_DEFAULT << 0)

/* Bit fields for BASEBAND BBDEBUG */
#define _BASEBAND_BBDEBUG_RESETVALUE              0x00000002UL
#define _BASEBAND_BBDEBUG_MASK                    0x000080F3UL
#define BASEBAND_BBDEBUG_SYNCREGEN                (0x1UL << 15)
#define _BASEBAND_BBDEBUG_SYNCREGEN_SHIFT         15
#define _BASEBAND_BBDEBUG_SYNCREGEN_MASK          0x8000UL
#define _BASEBAND_BBDEBUG_SYNCREGEN_DEFAULT       0x00000000UL
#define BASEBAND_BBDEBUG_SYNCREGEN_DEFAULT        (_BASEBAND_BBDEBUG_SYNCREGEN_DEFAULT << 15)
#define _BASEBAND_BBDEBUG_DEBUGMUXADDR_SHIFT      4
#define _BASEBAND_BBDEBUG_DEBUGMUXADDR_MASK       0xF0UL
#define _BASEBAND_BBDEBUG_DEBUGMUXADDR_DEFAULT    0x00000000UL
#define BASEBAND_BBDEBUG_DEBUGMUXADDR_DEFAULT     (_BASEBAND_BBDEBUG_DEBUGMUXADDR_DEFAULT << 4)
#define _BASEBAND_BBDEBUG_BBDEBUGSEL_SHIFT        0
#define _BASEBAND_BBDEBUG_BBDEBUGSEL_MASK         0x3UL
#define _BASEBAND_BBDEBUG_BBDEBUGSEL_DEFAULT      0x00000002UL
#define BASEBAND_BBDEBUG_BBDEBUGSEL_DEFAULT       (_BASEBAND_BBDEBUG_BBDEBUGSEL_DEFAULT << 0)

/* Bit fields for BASEBAND BBDEBUGVIEW */
#define _BASEBAND_BBDEBUGVIEW_RESETVALUE             0x00000000UL
#define _BASEBAND_BBDEBUGVIEW_MASK                   0x0000FFFFUL
#define _BASEBAND_BBDEBUGVIEW_BBDEBUGVIEW_SHIFT      0
#define _BASEBAND_BBDEBUGVIEW_BBDEBUGVIEW_MASK       0xFFFFUL
#define _BASEBAND_BBDEBUGVIEW_BBDEBUGVIEW_DEFAULT    0x00000000UL
#define BASEBAND_BBDEBUGVIEW_BBDEBUGVIEW_DEFAULT     (_BASEBAND_BBDEBUGVIEW_BBDEBUGVIEW_DEFAULT << 0)

/* Bit fields for BASEBAND IFFREQ */
#define _BASEBAND_IFFREQ_RESETVALUE              0x00000155UL
#define _BASEBAND_IFFREQ_MASK                    0x000081FFUL
#define BASEBAND_IFFREQ_TIMINGCORREN             (0x1UL << 15)
#define _BASEBAND_IFFREQ_TIMINGCORREN_SHIFT      15
#define _BASEBAND_IFFREQ_TIMINGCORREN_MASK       0x8000UL
#define _BASEBAND_IFFREQ_TIMINGCORREN_DEFAULT    0x00000000UL
#define BASEBAND_IFFREQ_TIMINGCORREN_DEFAULT     (_BASEBAND_IFFREQ_TIMINGCORREN_DEFAULT << 15)
#define _BASEBAND_IFFREQ_IFFREQ_SHIFT            0
#define _BASEBAND_IFFREQ_IFFREQ_MASK             0x1FFUL
#define _BASEBAND_IFFREQ_IFFREQ_DEFAULT          0x00000155UL
#define BASEBAND_IFFREQ_IFFREQ_DEFAULT           (_BASEBAND_IFFREQ_IFFREQ_DEFAULT << 0)

/* Bit fields for BASEBAND MODEN */
#define _BASEBAND_MODEN_RESETVALUE       0x00000001UL
#define _BASEBAND_MODEN_MASK             0x00000001UL
#define _BASEBAND_MODEN_MODEN_SHIFT      0
#define _BASEBAND_MODEN_MODEN_MASK       0x1UL
#define _BASEBAND_MODEN_MODEN_DEFAULT    0x00000001UL
#define BASEBAND_MODEN_MODEN_DEFAULT     (_BASEBAND_MODEN_MODEN_DEFAULT << 0)

/* Bit fields for BASEBAND PRESCALECTRL */
#define _BASEBAND_PRESCALECTRL_RESETVALUE             0x00000000UL
#define _BASEBAND_PRESCALECTRL_MASK                   0x00008007UL
#define BASEBAND_PRESCALECTRL_PRESCALESET             (0x1UL << 15)
#define _BASEBAND_PRESCALECTRL_PRESCALESET_SHIFT      15
#define _BASEBAND_PRESCALECTRL_PRESCALESET_MASK       0x8000UL
#define _BASEBAND_PRESCALECTRL_PRESCALESET_DEFAULT    0x00000000UL
#define BASEBAND_PRESCALECTRL_PRESCALESET_DEFAULT     (_BASEBAND_PRESCALECTRL_PRESCALESET_DEFAULT << 15)
#define _BASEBAND_PRESCALECTRL_PRESCALEVAL_SHIFT      0
#define _BASEBAND_PRESCALECTRL_PRESCALEVAL_MASK       0x7UL
#define _BASEBAND_PRESCALECTRL_PRESCALEVAL_DEFAULT    0x00000000UL
#define BASEBAND_PRESCALECTRL_PRESCALEVAL_DEFAULT     (_BASEBAND_PRESCALECTRL_PRESCALEVAL_DEFAULT << 0)

/* Bit fields for BASEBAND ADCBYPASSEN */
#define _BASEBAND_ADCBYPASSEN_RESETVALUE             0x00000000UL
#define _BASEBAND_ADCBYPASSEN_MASK                   0x00000001UL
#define _BASEBAND_ADCBYPASSEN_ADCBYPASSEN_SHIFT      0
#define _BASEBAND_ADCBYPASSEN_ADCBYPASSEN_MASK       0x1UL
#define _BASEBAND_ADCBYPASSEN_ADCBYPASSEN_DEFAULT    0x00000000UL
#define BASEBAND_ADCBYPASSEN_ADCBYPASSEN_DEFAULT     (_BASEBAND_ADCBYPASSEN_ADCBYPASSEN_DEFAULT << 0)

/* Bit fields for BASEBAND FIXEDCODEEN */
#define _BASEBAND_FIXEDCODEEN_RESETVALUE             0x00000000UL
#define _BASEBAND_FIXEDCODEEN_MASK                   0x00000001UL
#define _BASEBAND_FIXEDCODEEN_FIXEDCODEEN_SHIFT      0
#define _BASEBAND_FIXEDCODEEN_FIXEDCODEEN_MASK       0x1UL
#define _BASEBAND_FIXEDCODEEN_FIXEDCODEEN_DEFAULT    0x00000000UL
#define BASEBAND_FIXEDCODEEN_FIXEDCODEEN_DEFAULT     (_BASEBAND_FIXEDCODEEN_FIXEDCODEEN_DEFAULT << 0)

/* Bit fields for BASEBAND FIXEDCODEH */
#define _BASEBAND_FIXEDCODEH_RESETVALUE            0x00000000UL
#define _BASEBAND_FIXEDCODEH_MASK                  0x0000FFFFUL
#define _BASEBAND_FIXEDCODEH_FIXEDCODEH_SHIFT      0
#define _BASEBAND_FIXEDCODEH_FIXEDCODEH_MASK       0xFFFFUL
#define _BASEBAND_FIXEDCODEH_FIXEDCODEH_DEFAULT    0x00000000UL
#define BASEBAND_FIXEDCODEH_FIXEDCODEH_DEFAULT     (_BASEBAND_FIXEDCODEH_FIXEDCODEH_DEFAULT << 0)

/* Bit fields for BASEBAND FIXEDCODEL */
#define _BASEBAND_FIXEDCODEL_RESETVALUE            0x00000000UL
#define _BASEBAND_FIXEDCODEL_MASK                  0x0000FFFFUL
#define _BASEBAND_FIXEDCODEL_FIXEDCODEL_SHIFT      0
#define _BASEBAND_FIXEDCODEL_FIXEDCODEL_MASK       0xFFFFUL
#define _BASEBAND_FIXEDCODEL_FIXEDCODEL_DEFAULT    0x00000000UL
#define BASEBAND_FIXEDCODEL_FIXEDCODEL_DEFAULT     (_BASEBAND_FIXEDCODEL_FIXEDCODEL_DEFAULT << 0)

/* Bit fields for BASEBAND FIXEDCODELSHADOW */
#define _BASEBAND_FIXEDCODELSHADOW_RESETVALUE                  0x00000000UL
#define _BASEBAND_FIXEDCODELSHADOW_MASK                        0x0000FFFFUL
#define _BASEBAND_FIXEDCODELSHADOW_FIXEDCODELSHADOW_SHIFT      0
#define _BASEBAND_FIXEDCODELSHADOW_FIXEDCODELSHADOW_MASK       0xFFFFUL
#define _BASEBAND_FIXEDCODELSHADOW_FIXEDCODELSHADOW_DEFAULT    0x00000000UL
#define BASEBAND_FIXEDCODELSHADOW_FIXEDCODELSHADOW_DEFAULT     (_BASEBAND_FIXEDCODELSHADOW_FIXEDCODELSHADOW_DEFAULT << 0)

/* Bit fields for BASEBAND RXGAINCTRL */
#define _BASEBAND_RXGAINCTRL_RESETVALUE                  0x00000000UL
#define _BASEBAND_RXGAINCTRL_MASK                        0x000080FFUL
#define BASEBAND_RXGAINCTRL_RXGAINMUX                    (0x1UL << 15)
#define _BASEBAND_RXGAINCTRL_RXGAINMUX_SHIFT             15
#define _BASEBAND_RXGAINCTRL_RXGAINMUX_MASK              0x8000UL
#define _BASEBAND_RXGAINCTRL_RXGAINMUX_DEFAULT           0x00000000UL
#define BASEBAND_RXGAINCTRL_RXGAINMUX_DEFAULT            (_BASEBAND_RXGAINCTRL_RXGAINMUX_DEFAULT << 15)
#define BASEBAND_RXGAINCTRL_RXRFGAINTEST                 (0x1UL << 7)
#define _BASEBAND_RXGAINCTRL_RXRFGAINTEST_SHIFT          7
#define _BASEBAND_RXGAINCTRL_RXRFGAINTEST_MASK           0x80UL
#define _BASEBAND_RXGAINCTRL_RXRFGAINTEST_DEFAULT        0x00000000UL
#define BASEBAND_RXGAINCTRL_RXRFGAINTEST_DEFAULT         (_BASEBAND_RXGAINCTRL_RXRFGAINTEST_DEFAULT << 7)
#define BASEBAND_RXGAINCTRL_RXMIXERGAINTEST              (0x1UL << 6)
#define _BASEBAND_RXGAINCTRL_RXMIXERGAINTEST_SHIFT       6
#define _BASEBAND_RXGAINCTRL_RXMIXERGAINTEST_MASK        0x40UL
#define _BASEBAND_RXGAINCTRL_RXMIXERGAINTEST_DEFAULT     0x00000000UL
#define BASEBAND_RXGAINCTRL_RXMIXERGAINTEST_DEFAULT      (_BASEBAND_RXGAINCTRL_RXMIXERGAINTEST_DEFAULT << 6)
#define _BASEBAND_RXGAINCTRL_RXFILTERGAINTEST_SHIFT      4
#define _BASEBAND_RXGAINCTRL_RXFILTERGAINTEST_MASK       0x30UL
#define _BASEBAND_RXGAINCTRL_RXFILTERGAINTEST_DEFAULT    0x00000000UL
#define BASEBAND_RXGAINCTRL_RXFILTERGAINTEST_DEFAULT     (_BASEBAND_RXGAINCTRL_RXFILTERGAINTEST_DEFAULT << 4)
#define _BASEBAND_RXGAINCTRL_RXIFGAINTEST_SHIFT          0
#define _BASEBAND_RXGAINCTRL_RXIFGAINTEST_MASK           0xFUL
#define _BASEBAND_RXGAINCTRL_RXIFGAINTEST_DEFAULT        0x00000000UL
#define BASEBAND_RXGAINCTRL_RXIFGAINTEST_DEFAULT         (_BASEBAND_RXGAINCTRL_RXIFGAINTEST_DEFAULT << 0)

/* Bit fields for BASEBAND PDDITHEREN */
#define _BASEBAND_PDDITHEREN_RESETVALUE            0x00000001UL
#define _BASEBAND_PDDITHEREN_MASK                  0x00000001UL
#define _BASEBAND_PDDITHEREN_PDDITHEREN_SHIFT      0
#define _BASEBAND_PDDITHEREN_PDDITHEREN_MASK       0x1UL
#define _BASEBAND_PDDITHEREN_PDDITHEREN_DEFAULT    0x00000001UL
#define BASEBAND_PDDITHEREN_PDDITHEREN_DEFAULT     (_BASEBAND_PDDITHEREN_PDDITHEREN_DEFAULT << 0)

/* Bit fields for BASEBAND RXERRTHRESH */
#define _BASEBAND_RXERRTHRESH_RESETVALUE                0x00004608UL
#define _BASEBAND_RXERRTHRESH_MASK                      0x0000FF1FUL
#define _BASEBAND_RXERRTHRESH_LPFRXERRCOEFF_SHIFT       13
#define _BASEBAND_RXERRTHRESH_LPFRXERRCOEFF_MASK        0xE000UL
#define _BASEBAND_RXERRTHRESH_LPFRXERRCOEFF_DEFAULT     0x00000002UL
#define BASEBAND_RXERRTHRESH_LPFRXERRCOEFF_DEFAULT      (_BASEBAND_RXERRTHRESH_LPFRXERRCOEFF_DEFAULT << 13)
#define _BASEBAND_RXERRTHRESH_LPFRXERRTHRESH_SHIFT      8
#define _BASEBAND_RXERRTHRESH_LPFRXERRTHRESH_MASK       0x1F00UL
#define _BASEBAND_RXERRTHRESH_LPFRXERRTHRESH_DEFAULT    0x00000006UL
#define BASEBAND_RXERRTHRESH_LPFRXERRTHRESH_DEFAULT     (_BASEBAND_RXERRTHRESH_LPFRXERRTHRESH_DEFAULT << 8)
#define _BASEBAND_RXERRTHRESH_RXERRTHRESH_SHIFT         0
#define _BASEBAND_RXERRTHRESH_RXERRTHRESH_MASK          0x1FUL
#define _BASEBAND_RXERRTHRESH_RXERRTHRESH_DEFAULT       0x00000008UL
#define BASEBAND_RXERRTHRESH_RXERRTHRESH_DEFAULT        (_BASEBAND_RXERRTHRESH_RXERRTHRESH_DEFAULT << 0)

/* Bit fields for BASEBAND CARRIERTHRESH */
#define _BASEBAND_CARRIERTHRESH_RESETVALUE                    0x00002332UL
#define _BASEBAND_CARRIERTHRESH_MASK                          0x0000FFFFUL
#define _BASEBAND_CARRIERTHRESH_CARRIERSPIKETHRESH_SHIFT      8
#define _BASEBAND_CARRIERTHRESH_CARRIERSPIKETHRESH_MASK       0xFF00UL
#define _BASEBAND_CARRIERTHRESH_CARRIERSPIKETHRESH_DEFAULT    0x00000023UL
#define BASEBAND_CARRIERTHRESH_CARRIERSPIKETHRESH_DEFAULT     (_BASEBAND_CARRIERTHRESH_CARRIERSPIKETHRESH_DEFAULT << 8)
#define _BASEBAND_CARRIERTHRESH_CARRIERTHRESH_SHIFT           0
#define _BASEBAND_CARRIERTHRESH_CARRIERTHRESH_MASK            0xFFUL
#define _BASEBAND_CARRIERTHRESH_CARRIERTHRESH_DEFAULT         0x00000032UL
#define BASEBAND_CARRIERTHRESH_CARRIERTHRESH_DEFAULT          (_BASEBAND_CARRIERTHRESH_CARRIERTHRESH_DEFAULT << 0)

/* Bit fields for BASEBAND RSSITHRESH */
#define _BASEBAND_RSSITHRESH_RESETVALUE            0x00000100UL
#define _BASEBAND_RSSITHRESH_MASK                  0x0000FFFFUL
#define _BASEBAND_RSSITHRESH_RSSITHRESH_SHIFT      0
#define _BASEBAND_RSSITHRESH_RSSITHRESH_MASK       0xFFFFUL
#define _BASEBAND_RSSITHRESH_RSSITHRESH_DEFAULT    0x00000100UL
#define BASEBAND_RSSITHRESH_RSSITHRESH_DEFAULT     (_BASEBAND_RSSITHRESH_RSSITHRESH_DEFAULT << 0)

/* Bit fields for BASEBAND SYNTHSTART */
#define _BASEBAND_SYNTHSTART_RESETVALUE                0x00006464UL
#define _BASEBAND_SYNTHSTART_MASK                      0x0000FFFFUL
#define _BASEBAND_SYNTHSTART_SYNTHWARMSTART_SHIFT      8
#define _BASEBAND_SYNTHSTART_SYNTHWARMSTART_MASK       0xFF00UL
#define _BASEBAND_SYNTHSTART_SYNTHWARMSTART_DEFAULT    0x00000064UL
#define BASEBAND_SYNTHSTART_SYNTHWARMSTART_DEFAULT     (_BASEBAND_SYNTHSTART_SYNTHWARMSTART_DEFAULT << 8)
#define _BASEBAND_SYNTHSTART_SYNTHCOLDSTART_SHIFT      0
#define _BASEBAND_SYNTHSTART_SYNTHCOLDSTART_MASK       0xFFUL
#define _BASEBAND_SYNTHSTART_SYNTHCOLDSTART_DEFAULT    0x00000064UL
#define BASEBAND_SYNTHSTART_SYNTHCOLDSTART_DEFAULT     (_BASEBAND_SYNTHSTART_SYNTHCOLDSTART_DEFAULT << 0)

/* Bit fields for BASEBAND INLOCKEN */
#define _BASEBAND_INLOCKEN_RESETVALUE          0x00000001UL
#define _BASEBAND_INLOCKEN_MASK                0x00000001UL
#define _BASEBAND_INLOCKEN_INLOCKEN_SHIFT      0
#define _BASEBAND_INLOCKEN_INLOCKEN_MASK       0x1UL
#define _BASEBAND_INLOCKEN_INLOCKEN_DEFAULT    0x00000001UL
#define BASEBAND_INLOCKEN_INLOCKEN_DEFAULT     (_BASEBAND_INLOCKEN_INLOCKEN_DEFAULT << 0)

/* Bit fields for BASEBAND DITHERAMPLITUDE */
#define _BASEBAND_DITHERAMPLITUDE_RESETVALUE           0x0000003FUL
#define _BASEBAND_DITHERAMPLITUDE_MASK                 0x0000003FUL
#define _BASEBAND_DITHERAMPLITUDE_DITHERAMP_SHIFT      0
#define _BASEBAND_DITHERAMPLITUDE_DITHERAMP_MASK       0x3FUL
#define _BASEBAND_DITHERAMPLITUDE_DITHERAMP_DEFAULT    0x0000003FUL
#define BASEBAND_DITHERAMPLITUDE_DITHERAMP_DEFAULT     (_BASEBAND_DITHERAMPLITUDE_DITHERAMP_DEFAULT << 0)

/* Bit fields for BASEBAND TXSTEPTIME */
#define _BASEBAND_TXSTEPTIME_RESETVALUE            0x00000000UL
#define _BASEBAND_TXSTEPTIME_MASK                  0x000000FFUL
#define _BASEBAND_TXSTEPTIME_TXSTEPTIME_SHIFT      0
#define _BASEBAND_TXSTEPTIME_TXSTEPTIME_MASK       0xFFUL
#define _BASEBAND_TXSTEPTIME_TXSTEPTIME_DEFAULT    0x00000000UL
#define BASEBAND_TXSTEPTIME_TXSTEPTIME_DEFAULT     (_BASEBAND_TXSTEPTIME_TXSTEPTIME_DEFAULT << 0)

/* Bit fields for BASEBAND GAINTHRESHMAX */
#define _BASEBAND_GAINTHRESHMAX_RESETVALUE               0x00000060UL
#define _BASEBAND_GAINTHRESHMAX_MASK                     0x000000FFUL
#define _BASEBAND_GAINTHRESHMAX_GAINTHRESHMAX_SHIFT      0
#define _BASEBAND_GAINTHRESHMAX_GAINTHRESHMAX_MASK       0xFFUL
#define _BASEBAND_GAINTHRESHMAX_GAINTHRESHMAX_DEFAULT    0x00000060UL
#define BASEBAND_GAINTHRESHMAX_GAINTHRESHMAX_DEFAULT     (_BASEBAND_GAINTHRESHMAX_GAINTHRESHMAX_DEFAULT << 0)

/* Bit fields for BASEBAND GAINTHRESHMID */
#define _BASEBAND_GAINTHRESHMID_RESETVALUE               0x00000030UL
#define _BASEBAND_GAINTHRESHMID_MASK                     0x000000FFUL
#define _BASEBAND_GAINTHRESHMID_GAINTHRESHMID_SHIFT      0
#define _BASEBAND_GAINTHRESHMID_GAINTHRESHMID_MASK       0xFFUL
#define _BASEBAND_GAINTHRESHMID_GAINTHRESHMID_DEFAULT    0x00000030UL
#define BASEBAND_GAINTHRESHMID_GAINTHRESHMID_DEFAULT     (_BASEBAND_GAINTHRESHMID_GAINTHRESHMID_DEFAULT << 0)

/* Bit fields for BASEBAND GAINTHRESHMIN */
#define _BASEBAND_GAINTHRESHMIN_RESETVALUE               0x00000018UL
#define _BASEBAND_GAINTHRESHMIN_MASK                     0x000000FFUL
#define _BASEBAND_GAINTHRESHMIN_GAINTHRESHMIN_SHIFT      0
#define _BASEBAND_GAINTHRESHMIN_GAINTHRESHMIN_MASK       0xFFUL
#define _BASEBAND_GAINTHRESHMIN_GAINTHRESHMIN_DEFAULT    0x00000018UL
#define BASEBAND_GAINTHRESHMIN_GAINTHRESHMIN_DEFAULT     (_BASEBAND_GAINTHRESHMIN_GAINTHRESHMIN_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING0 */
#define _BASEBAND_GAINSETTING0_RESETVALUE               0x00000000UL
#define _BASEBAND_GAINSETTING0_MASK                     0x0000007FUL
#define BASEBAND_GAINSETTING0_RXMIXERGAIN0              (0x1UL << 6)
#define _BASEBAND_GAINSETTING0_RXMIXERGAIN0_SHIFT       6
#define _BASEBAND_GAINSETTING0_RXMIXERGAIN0_MASK        0x40UL
#define _BASEBAND_GAINSETTING0_RXMIXERGAIN0_DEFAULT     0x00000000UL
#define BASEBAND_GAINSETTING0_RXMIXERGAIN0_DEFAULT      (_BASEBAND_GAINSETTING0_RXMIXERGAIN0_DEFAULT << 6)
#define _BASEBAND_GAINSETTING0_RXFILTERGAIN0_SHIFT      4
#define _BASEBAND_GAINSETTING0_RXFILTERGAIN0_MASK       0x30UL
#define _BASEBAND_GAINSETTING0_RXFILTERGAIN0_DEFAULT    0x00000000UL
#define BASEBAND_GAINSETTING0_RXFILTERGAIN0_DEFAULT     (_BASEBAND_GAINSETTING0_RXFILTERGAIN0_DEFAULT << 4)
#define _BASEBAND_GAINSETTING0_RXIFGAIN0_SHIFT          0
#define _BASEBAND_GAINSETTING0_RXIFGAIN0_MASK           0xFUL
#define _BASEBAND_GAINSETTING0_RXIFGAIN0_DEFAULT        0x00000000UL
#define BASEBAND_GAINSETTING0_RXIFGAIN0_DEFAULT         (_BASEBAND_GAINSETTING0_RXIFGAIN0_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING1 */
#define _BASEBAND_GAINSETTING1_RESETVALUE               0x00000010UL
#define _BASEBAND_GAINSETTING1_MASK                     0x0000007FUL
#define BASEBAND_GAINSETTING1_RXMIXERGAIN1              (0x1UL << 6)
#define _BASEBAND_GAINSETTING1_RXMIXERGAIN1_SHIFT       6
#define _BASEBAND_GAINSETTING1_RXMIXERGAIN1_MASK        0x40UL
#define _BASEBAND_GAINSETTING1_RXMIXERGAIN1_DEFAULT     0x00000000UL
#define BASEBAND_GAINSETTING1_RXMIXERGAIN1_DEFAULT      (_BASEBAND_GAINSETTING1_RXMIXERGAIN1_DEFAULT << 6)
#define _BASEBAND_GAINSETTING1_RXFILTERGAIN1_SHIFT      4
#define _BASEBAND_GAINSETTING1_RXFILTERGAIN1_MASK       0x30UL
#define _BASEBAND_GAINSETTING1_RXFILTERGAIN1_DEFAULT    0x00000001UL
#define BASEBAND_GAINSETTING1_RXFILTERGAIN1_DEFAULT     (_BASEBAND_GAINSETTING1_RXFILTERGAIN1_DEFAULT << 4)
#define _BASEBAND_GAINSETTING1_RXIFGAIN1_SHIFT          0
#define _BASEBAND_GAINSETTING1_RXIFGAIN1_MASK           0xFUL
#define _BASEBAND_GAINSETTING1_RXIFGAIN1_DEFAULT        0x00000000UL
#define BASEBAND_GAINSETTING1_RXIFGAIN1_DEFAULT         (_BASEBAND_GAINSETTING1_RXIFGAIN1_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING2 */
#define _BASEBAND_GAINSETTING2_RESETVALUE               0x00000030UL
#define _BASEBAND_GAINSETTING2_MASK                     0x0000007FUL
#define BASEBAND_GAINSETTING2_RXMIXERGAIN2              (0x1UL << 6)
#define _BASEBAND_GAINSETTING2_RXMIXERGAIN2_SHIFT       6
#define _BASEBAND_GAINSETTING2_RXMIXERGAIN2_MASK        0x40UL
#define _BASEBAND_GAINSETTING2_RXMIXERGAIN2_DEFAULT     0x00000000UL
#define BASEBAND_GAINSETTING2_RXMIXERGAIN2_DEFAULT      (_BASEBAND_GAINSETTING2_RXMIXERGAIN2_DEFAULT << 6)
#define _BASEBAND_GAINSETTING2_RXFILTERGAIN2_SHIFT      4
#define _BASEBAND_GAINSETTING2_RXFILTERGAIN2_MASK       0x30UL
#define _BASEBAND_GAINSETTING2_RXFILTERGAIN2_DEFAULT    0x00000003UL
#define BASEBAND_GAINSETTING2_RXFILTERGAIN2_DEFAULT     (_BASEBAND_GAINSETTING2_RXFILTERGAIN2_DEFAULT << 4)
#define _BASEBAND_GAINSETTING2_RXIFGAIN2_SHIFT          0
#define _BASEBAND_GAINSETTING2_RXIFGAIN2_MASK           0xFUL
#define _BASEBAND_GAINSETTING2_RXIFGAIN2_DEFAULT        0x00000000UL
#define BASEBAND_GAINSETTING2_RXIFGAIN2_DEFAULT         (_BASEBAND_GAINSETTING2_RXIFGAIN2_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING3 */
#define _BASEBAND_GAINSETTING3_RESETVALUE               0x00000031UL
#define _BASEBAND_GAINSETTING3_MASK                     0x0000007FUL
#define BASEBAND_GAINSETTING3_RXMIXERGAIN3              (0x1UL << 6)
#define _BASEBAND_GAINSETTING3_RXMIXERGAIN3_SHIFT       6
#define _BASEBAND_GAINSETTING3_RXMIXERGAIN3_MASK        0x40UL
#define _BASEBAND_GAINSETTING3_RXMIXERGAIN3_DEFAULT     0x00000000UL
#define BASEBAND_GAINSETTING3_RXMIXERGAIN3_DEFAULT      (_BASEBAND_GAINSETTING3_RXMIXERGAIN3_DEFAULT << 6)
#define _BASEBAND_GAINSETTING3_RXFILTERGAIN3_SHIFT      4
#define _BASEBAND_GAINSETTING3_RXFILTERGAIN3_MASK       0x30UL
#define _BASEBAND_GAINSETTING3_RXFILTERGAIN3_DEFAULT    0x00000003UL
#define BASEBAND_GAINSETTING3_RXFILTERGAIN3_DEFAULT     (_BASEBAND_GAINSETTING3_RXFILTERGAIN3_DEFAULT << 4)
#define _BASEBAND_GAINSETTING3_RXIFGAIN3_SHIFT          0
#define _BASEBAND_GAINSETTING3_RXIFGAIN3_MASK           0xFUL
#define _BASEBAND_GAINSETTING3_RXIFGAIN3_DEFAULT        0x00000001UL
#define BASEBAND_GAINSETTING3_RXIFGAIN3_DEFAULT         (_BASEBAND_GAINSETTING3_RXIFGAIN3_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING4 */
#define _BASEBAND_GAINSETTING4_RESETVALUE               0x00000032UL
#define _BASEBAND_GAINSETTING4_MASK                     0x0000007FUL
#define BASEBAND_GAINSETTING4_RXMIXERGAIN4              (0x1UL << 6)
#define _BASEBAND_GAINSETTING4_RXMIXERGAIN4_SHIFT       6
#define _BASEBAND_GAINSETTING4_RXMIXERGAIN4_MASK        0x40UL
#define _BASEBAND_GAINSETTING4_RXMIXERGAIN4_DEFAULT     0x00000000UL
#define BASEBAND_GAINSETTING4_RXMIXERGAIN4_DEFAULT      (_BASEBAND_GAINSETTING4_RXMIXERGAIN4_DEFAULT << 6)
#define _BASEBAND_GAINSETTING4_RXFILTERGAIN4_SHIFT      4
#define _BASEBAND_GAINSETTING4_RXFILTERGAIN4_MASK       0x30UL
#define _BASEBAND_GAINSETTING4_RXFILTERGAIN4_DEFAULT    0x00000003UL
#define BASEBAND_GAINSETTING4_RXFILTERGAIN4_DEFAULT     (_BASEBAND_GAINSETTING4_RXFILTERGAIN4_DEFAULT << 4)
#define _BASEBAND_GAINSETTING4_RXIFGAIN4_SHIFT          0
#define _BASEBAND_GAINSETTING4_RXIFGAIN4_MASK           0xFUL
#define _BASEBAND_GAINSETTING4_RXIFGAIN4_DEFAULT        0x00000002UL
#define BASEBAND_GAINSETTING4_RXIFGAIN4_DEFAULT         (_BASEBAND_GAINSETTING4_RXIFGAIN4_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING5 */
#define _BASEBAND_GAINSETTING5_RESETVALUE               0x00000033UL
#define _BASEBAND_GAINSETTING5_MASK                     0x0000007FUL
#define BASEBAND_GAINSETTING5_RXMIXERGAIN5              (0x1UL << 6)
#define _BASEBAND_GAINSETTING5_RXMIXERGAIN5_SHIFT       6
#define _BASEBAND_GAINSETTING5_RXMIXERGAIN5_MASK        0x40UL
#define _BASEBAND_GAINSETTING5_RXMIXERGAIN5_DEFAULT     0x00000000UL
#define BASEBAND_GAINSETTING5_RXMIXERGAIN5_DEFAULT      (_BASEBAND_GAINSETTING5_RXMIXERGAIN5_DEFAULT << 6)
#define _BASEBAND_GAINSETTING5_RXFILTERGAIN5_SHIFT      4
#define _BASEBAND_GAINSETTING5_RXFILTERGAIN5_MASK       0x30UL
#define _BASEBAND_GAINSETTING5_RXFILTERGAIN5_DEFAULT    0x00000003UL
#define BASEBAND_GAINSETTING5_RXFILTERGAIN5_DEFAULT     (_BASEBAND_GAINSETTING5_RXFILTERGAIN5_DEFAULT << 4)
#define _BASEBAND_GAINSETTING5_RXIFGAIN5_SHIFT          0
#define _BASEBAND_GAINSETTING5_RXIFGAIN5_MASK           0xFUL
#define _BASEBAND_GAINSETTING5_RXIFGAIN5_DEFAULT        0x00000003UL
#define BASEBAND_GAINSETTING5_RXIFGAIN5_DEFAULT         (_BASEBAND_GAINSETTING5_RXIFGAIN5_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING6 */
#define _BASEBAND_GAINSETTING6_RESETVALUE               0x00000034UL
#define _BASEBAND_GAINSETTING6_MASK                     0x0000007FUL
#define BASEBAND_GAINSETTING6_RXMIXERGAIN6              (0x1UL << 6)
#define _BASEBAND_GAINSETTING6_RXMIXERGAIN6_SHIFT       6
#define _BASEBAND_GAINSETTING6_RXMIXERGAIN6_MASK        0x40UL
#define _BASEBAND_GAINSETTING6_RXMIXERGAIN6_DEFAULT     0x00000000UL
#define BASEBAND_GAINSETTING6_RXMIXERGAIN6_DEFAULT      (_BASEBAND_GAINSETTING6_RXMIXERGAIN6_DEFAULT << 6)
#define _BASEBAND_GAINSETTING6_RXFILTERGAIN6_SHIFT      4
#define _BASEBAND_GAINSETTING6_RXFILTERGAIN6_MASK       0x30UL
#define _BASEBAND_GAINSETTING6_RXFILTERGAIN6_DEFAULT    0x00000003UL
#define BASEBAND_GAINSETTING6_RXFILTERGAIN6_DEFAULT     (_BASEBAND_GAINSETTING6_RXFILTERGAIN6_DEFAULT << 4)
#define _BASEBAND_GAINSETTING6_RXIFGAIN6_SHIFT          0
#define _BASEBAND_GAINSETTING6_RXIFGAIN6_MASK           0xFUL
#define _BASEBAND_GAINSETTING6_RXIFGAIN6_DEFAULT        0x00000004UL
#define BASEBAND_GAINSETTING6_RXIFGAIN6_DEFAULT         (_BASEBAND_GAINSETTING6_RXIFGAIN6_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING7 */
#define _BASEBAND_GAINSETTING7_RESETVALUE               0x00000035UL
#define _BASEBAND_GAINSETTING7_MASK                     0x0000007FUL
#define BASEBAND_GAINSETTING7_RXMIXERGAIN7              (0x1UL << 6)
#define _BASEBAND_GAINSETTING7_RXMIXERGAIN7_SHIFT       6
#define _BASEBAND_GAINSETTING7_RXMIXERGAIN7_MASK        0x40UL
#define _BASEBAND_GAINSETTING7_RXMIXERGAIN7_DEFAULT     0x00000000UL
#define BASEBAND_GAINSETTING7_RXMIXERGAIN7_DEFAULT      (_BASEBAND_GAINSETTING7_RXMIXERGAIN7_DEFAULT << 6)
#define _BASEBAND_GAINSETTING7_RXFILTERGAIN7_SHIFT      4
#define _BASEBAND_GAINSETTING7_RXFILTERGAIN7_MASK       0x30UL
#define _BASEBAND_GAINSETTING7_RXFILTERGAIN7_DEFAULT    0x00000003UL
#define BASEBAND_GAINSETTING7_RXFILTERGAIN7_DEFAULT     (_BASEBAND_GAINSETTING7_RXFILTERGAIN7_DEFAULT << 4)
#define _BASEBAND_GAINSETTING7_RXIFGAIN7_SHIFT          0
#define _BASEBAND_GAINSETTING7_RXIFGAIN7_MASK           0xFUL
#define _BASEBAND_GAINSETTING7_RXIFGAIN7_DEFAULT        0x00000005UL
#define BASEBAND_GAINSETTING7_RXIFGAIN7_DEFAULT         (_BASEBAND_GAINSETTING7_RXIFGAIN7_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING8 */
#define _BASEBAND_GAINSETTING8_RESETVALUE               0x00000036UL
#define _BASEBAND_GAINSETTING8_MASK                     0x0000007FUL
#define BASEBAND_GAINSETTING8_RXMIXERGAIN8              (0x1UL << 6)
#define _BASEBAND_GAINSETTING8_RXMIXERGAIN8_SHIFT       6
#define _BASEBAND_GAINSETTING8_RXMIXERGAIN8_MASK        0x40UL
#define _BASEBAND_GAINSETTING8_RXMIXERGAIN8_DEFAULT     0x00000000UL
#define BASEBAND_GAINSETTING8_RXMIXERGAIN8_DEFAULT      (_BASEBAND_GAINSETTING8_RXMIXERGAIN8_DEFAULT << 6)
#define _BASEBAND_GAINSETTING8_RXFILTERGAIN8_SHIFT      4
#define _BASEBAND_GAINSETTING8_RXFILTERGAIN8_MASK       0x30UL
#define _BASEBAND_GAINSETTING8_RXFILTERGAIN8_DEFAULT    0x00000003UL
#define BASEBAND_GAINSETTING8_RXFILTERGAIN8_DEFAULT     (_BASEBAND_GAINSETTING8_RXFILTERGAIN8_DEFAULT << 4)
#define _BASEBAND_GAINSETTING8_RXIFGAIN8_SHIFT          0
#define _BASEBAND_GAINSETTING8_RXIFGAIN8_MASK           0xFUL
#define _BASEBAND_GAINSETTING8_RXIFGAIN8_DEFAULT        0x00000006UL
#define BASEBAND_GAINSETTING8_RXIFGAIN8_DEFAULT         (_BASEBAND_GAINSETTING8_RXIFGAIN8_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING9 */
#define _BASEBAND_GAINSETTING9_RESETVALUE               0x00000076UL
#define _BASEBAND_GAINSETTING9_MASK                     0x0000007FUL
#define BASEBAND_GAINSETTING9_RXMIXERGAIN9              (0x1UL << 6)
#define _BASEBAND_GAINSETTING9_RXMIXERGAIN9_SHIFT       6
#define _BASEBAND_GAINSETTING9_RXMIXERGAIN9_MASK        0x40UL
#define _BASEBAND_GAINSETTING9_RXMIXERGAIN9_DEFAULT     0x00000001UL
#define BASEBAND_GAINSETTING9_RXMIXERGAIN9_DEFAULT      (_BASEBAND_GAINSETTING9_RXMIXERGAIN9_DEFAULT << 6)
#define _BASEBAND_GAINSETTING9_RXFILTERGAIN9_SHIFT      4
#define _BASEBAND_GAINSETTING9_RXFILTERGAIN9_MASK       0x30UL
#define _BASEBAND_GAINSETTING9_RXFILTERGAIN9_DEFAULT    0x00000003UL
#define BASEBAND_GAINSETTING9_RXFILTERGAIN9_DEFAULT     (_BASEBAND_GAINSETTING9_RXFILTERGAIN9_DEFAULT << 4)
#define _BASEBAND_GAINSETTING9_RXIFGAIN9_SHIFT          0
#define _BASEBAND_GAINSETTING9_RXIFGAIN9_MASK           0xFUL
#define _BASEBAND_GAINSETTING9_RXIFGAIN9_DEFAULT        0x00000006UL
#define BASEBAND_GAINSETTING9_RXIFGAIN9_DEFAULT         (_BASEBAND_GAINSETTING9_RXIFGAIN9_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING10 */
#define _BASEBAND_GAINSETTING10_RESETVALUE                0x00000077UL
#define _BASEBAND_GAINSETTING10_MASK                      0x0000007FUL
#define BASEBAND_GAINSETTING10_RXMIXERGAIN10              (0x1UL << 6)
#define _BASEBAND_GAINSETTING10_RXMIXERGAIN10_SHIFT       6
#define _BASEBAND_GAINSETTING10_RXMIXERGAIN10_MASK        0x40UL
#define _BASEBAND_GAINSETTING10_RXMIXERGAIN10_DEFAULT     0x00000001UL
#define BASEBAND_GAINSETTING10_RXMIXERGAIN10_DEFAULT      (_BASEBAND_GAINSETTING10_RXMIXERGAIN10_DEFAULT << 6)
#define _BASEBAND_GAINSETTING10_RXFILTERGAIN10_SHIFT      4
#define _BASEBAND_GAINSETTING10_RXFILTERGAIN10_MASK       0x30UL
#define _BASEBAND_GAINSETTING10_RXFILTERGAIN10_DEFAULT    0x00000003UL
#define BASEBAND_GAINSETTING10_RXFILTERGAIN10_DEFAULT     (_BASEBAND_GAINSETTING10_RXFILTERGAIN10_DEFAULT << 4)
#define _BASEBAND_GAINSETTING10_RXIFGAIN10_SHIFT          0
#define _BASEBAND_GAINSETTING10_RXIFGAIN10_MASK           0xFUL
#define _BASEBAND_GAINSETTING10_RXIFGAIN10_DEFAULT        0x00000007UL
#define BASEBAND_GAINSETTING10_RXIFGAIN10_DEFAULT         (_BASEBAND_GAINSETTING10_RXIFGAIN10_DEFAULT << 0)

/* Bit fields for BASEBAND GAINSETTING11 */
#define _BASEBAND_GAINSETTING11_RESETVALUE                0x00000078UL
#define _BASEBAND_GAINSETTING11_MASK                      0x0000007FUL
#define BASEBAND_GAINSETTING11_RXMIXERGAIN11              (0x1UL << 6)
#define _BASEBAND_GAINSETTING11_RXMIXERGAIN11_SHIFT       6
#define _BASEBAND_GAINSETTING11_RXMIXERGAIN11_MASK        0x40UL
#define _BASEBAND_GAINSETTING11_RXMIXERGAIN11_DEFAULT     0x00000001UL
#define BASEBAND_GAINSETTING11_RXMIXERGAIN11_DEFAULT      (_BASEBAND_GAINSETTING11_RXMIXERGAIN11_DEFAULT << 6)
#define _BASEBAND_GAINSETTING11_RXFILTERGAIN11_SHIFT      4
#define _BASEBAND_GAINSETTING11_RXFILTERGAIN11_MASK       0x30UL
#define _BASEBAND_GAINSETTING11_RXFILTERGAIN11_DEFAULT    0x00000003UL
#define BASEBAND_GAINSETTING11_RXFILTERGAIN11_DEFAULT     (_BASEBAND_GAINSETTING11_RXFILTERGAIN11_DEFAULT << 4)
#define _BASEBAND_GAINSETTING11_RXIFGAIN11_SHIFT          0
#define _BASEBAND_GAINSETTING11_RXIFGAIN11_MASK           0xFUL
#define _BASEBAND_GAINSETTING11_RXIFGAIN11_DEFAULT        0x00000008UL
#define BASEBAND_GAINSETTING11_RXIFGAIN11_DEFAULT         (_BASEBAND_GAINSETTING11_RXIFGAIN11_DEFAULT << 0)

/* Bit fields for BASEBAND GAINCTRLMINRF */
#define _BASEBAND_GAINCTRLMINRF_RESETVALUE               0x000000F0UL
#define _BASEBAND_GAINCTRLMINRF_MASK                     0x000001FFUL
#define _BASEBAND_GAINCTRLMINRF_GAINCTRLMINRF_SHIFT      0
#define _BASEBAND_GAINCTRLMINRF_GAINCTRLMINRF_MASK       0x1FFUL
#define _BASEBAND_GAINCTRLMINRF_GAINCTRLMINRF_DEFAULT    0x000000F0UL
#define BASEBAND_GAINCTRLMINRF_GAINCTRLMINRF_DEFAULT     (_BASEBAND_GAINCTRLMINRF_GAINCTRLMINRF_DEFAULT << 0)

/* Bit fields for BASEBAND GAINCTRLMAXRF */
#define _BASEBAND_GAINCTRLMAXRF_RESETVALUE               0x000000FCUL
#define _BASEBAND_GAINCTRLMAXRF_MASK                     0x000001FFUL
#define _BASEBAND_GAINCTRLMAXRF_GAINCTRLMAXRF_SHIFT      0
#define _BASEBAND_GAINCTRLMAXRF_GAINCTRLMAXRF_MASK       0x1FFUL
#define _BASEBAND_GAINCTRLMAXRF_GAINCTRLMAXRF_DEFAULT    0x000000FCUL
#define BASEBAND_GAINCTRLMAXRF_GAINCTRLMAXRF_DEFAULT     (_BASEBAND_GAINCTRLMAXRF_GAINCTRLMAXRF_DEFAULT << 0)

/* Bit fields for BASEBAND MIXERGAINSTEP */
#define _BASEBAND_MIXERGAINSTEP_RESETVALUE               0x0000000CUL
#define _BASEBAND_MIXERGAINSTEP_MASK                     0x0000000FUL
#define _BASEBAND_MIXERGAINSTEP_MIXERGAINSTEP_SHIFT      0
#define _BASEBAND_MIXERGAINSTEP_MIXERGAINSTEP_MASK       0xFUL
#define _BASEBAND_MIXERGAINSTEP_MIXERGAINSTEP_DEFAULT    0x0000000CUL
#define BASEBAND_MIXERGAINSTEP_MIXERGAINSTEP_DEFAULT     (_BASEBAND_MIXERGAINSTEP_MIXERGAINSTEP_DEFAULT << 0)

/* Bit fields for BASEBAND PREAMBLEEVENT */
#define _BASEBAND_PREAMBLEEVENT_RESETVALUE                       0x00005877UL
#define _BASEBAND_PREAMBLEEVENT_MASK                             0x0000FFFFUL
#define _BASEBAND_PREAMBLEEVENT_PREAMBLECONFIRMTHRESH_SHIFT      8
#define _BASEBAND_PREAMBLEEVENT_PREAMBLECONFIRMTHRESH_MASK       0xFF00UL
#define _BASEBAND_PREAMBLEEVENT_PREAMBLECONFIRMTHRESH_DEFAULT    0x00000058UL
#define BASEBAND_PREAMBLEEVENT_PREAMBLECONFIRMTHRESH_DEFAULT     (_BASEBAND_PREAMBLEEVENT_PREAMBLECONFIRMTHRESH_DEFAULT << 8)
#define _BASEBAND_PREAMBLEEVENT_PREAMBLEEVENTTHRESH_SHIFT        0
#define _BASEBAND_PREAMBLEEVENT_PREAMBLEEVENTTHRESH_MASK         0xFFUL
#define _BASEBAND_PREAMBLEEVENT_PREAMBLEEVENTTHRESH_DEFAULT      0x00000077UL
#define BASEBAND_PREAMBLEEVENT_PREAMBLEEVENTTHRESH_DEFAULT       (_BASEBAND_PREAMBLEEVENT_PREAMBLEEVENTTHRESH_DEFAULT << 0)

/* Bit fields for BASEBAND PREAMBLEABORTTHRESH */
#define _BASEBAND_PREAMBLEABORTTHRESH_RESETVALUE                     0x00000071UL
#define _BASEBAND_PREAMBLEABORTTHRESH_MASK                           0x000000FFUL
#define _BASEBAND_PREAMBLEABORTTHRESH_PREAMBLEABORTTHRESH_SHIFT      0
#define _BASEBAND_PREAMBLEABORTTHRESH_PREAMBLEABORTTHRESH_MASK       0xFFUL
#define _BASEBAND_PREAMBLEABORTTHRESH_PREAMBLEABORTTHRESH_DEFAULT    0x00000071UL
#define BASEBAND_PREAMBLEABORTTHRESH_PREAMBLEABORTTHRESH_DEFAULT     (_BASEBAND_PREAMBLEABORTTHRESH_PREAMBLEABORTTHRESH_DEFAULT << 0)

/* Bit fields for BASEBAND PREAMBLEACCEPTWINDOW */
#define _BASEBAND_PREAMBLEACCEPTWINDOW_RESETVALUE                      0x00000003UL
#define _BASEBAND_PREAMBLEACCEPTWINDOW_MASK                            0x0000007FUL
#define _BASEBAND_PREAMBLEACCEPTWINDOW_PREAMBLEACCEPTWINDOW_SHIFT      0
#define _BASEBAND_PREAMBLEACCEPTWINDOW_PREAMBLEACCEPTWINDOW_MASK       0x7FUL
#define _BASEBAND_PREAMBLEACCEPTWINDOW_PREAMBLEACCEPTWINDOW_DEFAULT    0x00000003UL
#define BASEBAND_PREAMBLEACCEPTWINDOW_PREAMBLEACCEPTWINDOW_DEFAULT     (_BASEBAND_PREAMBLEACCEPTWINDOW_PREAMBLEACCEPTWINDOW_DEFAULT << 0)

/* Bit fields for BASEBAND CCAMODE */
#define _BASEBAND_CCAMODE_RESETVALUE         0x00000000UL
#define _BASEBAND_CCAMODE_MASK               0x00000003UL
#define _BASEBAND_CCAMODE_CCAMODE_SHIFT      0
#define _BASEBAND_CCAMODE_CCAMODE_MASK       0x3UL
#define _BASEBAND_CCAMODE_CCAMODE_DEFAULT    0x00000000UL
#define BASEBAND_CCAMODE_CCAMODE_DEFAULT     (_BASEBAND_CCAMODE_CCAMODE_DEFAULT << 0)

/* Bit fields for BASEBAND TXPOWERMAX */
#define _BASEBAND_TXPOWERMAX_RESETVALUE             0x00000000UL
#define _BASEBAND_TXPOWERMAX_MASK                   0x0000801FUL
#define BASEBAND_TXPOWERMAX_MANUALPOWER             (0x1UL << 15)
#define _BASEBAND_TXPOWERMAX_MANUALPOWER_SHIFT      15
#define _BASEBAND_TXPOWERMAX_MANUALPOWER_MASK       0x8000UL
#define _BASEBAND_TXPOWERMAX_MANUALPOWER_DEFAULT    0x00000000UL
#define BASEBAND_TXPOWERMAX_MANUALPOWER_DEFAULT     (_BASEBAND_TXPOWERMAX_MANUALPOWER_DEFAULT << 15)
#define _BASEBAND_TXPOWERMAX_TXPOWERMAX_SHIFT       0
#define _BASEBAND_TXPOWERMAX_TXPOWERMAX_MASK        0x1FUL
#define _BASEBAND_TXPOWERMAX_TXPOWERMAX_DEFAULT     0x00000000UL
#define BASEBAND_TXPOWERMAX_TXPOWERMAX_DEFAULT      (_BASEBAND_TXPOWERMAX_TXPOWERMAX_DEFAULT << 0)

/* Bit fields for BASEBAND SYNTHFREQH */
#define _BASEBAND_SYNTHFREQH_RESETVALUE            0x00000003UL
#define _BASEBAND_SYNTHFREQH_MASK                  0x00000003UL
#define _BASEBAND_SYNTHFREQH_SYNTHFREQH_SHIFT      0
#define _BASEBAND_SYNTHFREQH_SYNTHFREQH_MASK       0x3UL
#define _BASEBAND_SYNTHFREQH_SYNTHFREQH_DEFAULT    0x00000003UL
#define BASEBAND_SYNTHFREQH_SYNTHFREQH_DEFAULT     (_BASEBAND_SYNTHFREQH_SYNTHFREQH_DEFAULT << 0)

/* Bit fields for BASEBAND SYNTHFREQL */
#define _BASEBAND_SYNTHFREQL_RESETVALUE            0x00003800UL
#define _BASEBAND_SYNTHFREQL_MASK                  0x0000FFFFUL
#define _BASEBAND_SYNTHFREQL_SYNTHFREQL_SHIFT      0
#define _BASEBAND_SYNTHFREQL_SYNTHFREQL_MASK       0xFFFFUL
#define _BASEBAND_SYNTHFREQL_SYNTHFREQL_DEFAULT    0x00003800UL
#define BASEBAND_SYNTHFREQL_SYNTHFREQL_DEFAULT     (_BASEBAND_SYNTHFREQL_SYNTHFREQL_DEFAULT << 0)

/* Bit fields for BASEBAND RSSIINST */
#define _BASEBAND_RSSIINST_RESETVALUE             0x00000000UL
#define _BASEBAND_RSSIINST_MASK                   0x000003FFUL
#define BASEBAND_RSSIINST_NEWRSSIINST             (0x1UL << 9)
#define _BASEBAND_RSSIINST_NEWRSSIINST_SHIFT      9
#define _BASEBAND_RSSIINST_NEWRSSIINST_MASK       0x200UL
#define _BASEBAND_RSSIINST_NEWRSSIINST_DEFAULT    0x00000000UL
#define BASEBAND_RSSIINST_NEWRSSIINST_DEFAULT     (_BASEBAND_RSSIINST_NEWRSSIINST_DEFAULT << 9)
#define _BASEBAND_RSSIINST_RSSIINST_SHIFT         0
#define _BASEBAND_RSSIINST_RSSIINST_MASK          0x1FFUL
#define _BASEBAND_RSSIINST_RSSIINST_DEFAULT       0x00000000UL
#define BASEBAND_RSSIINST_RSSIINST_DEFAULT        (_BASEBAND_RSSIINST_RSSIINST_DEFAULT << 0)

/* Bit fields for BASEBAND FREQMEASCTRL1 */
#define _BASEBAND_FREQMEASCTRL1_RESETVALUE                0x00000160UL
#define _BASEBAND_FREQMEASCTRL1_MASK                      0x0000F7FFUL
#define BASEBAND_FREQMEASCTRL1_AUTOTUNEEN                 (0x1UL << 15)
#define _BASEBAND_FREQMEASCTRL1_AUTOTUNEEN_SHIFT          15
#define _BASEBAND_FREQMEASCTRL1_AUTOTUNEEN_MASK           0x8000UL
#define _BASEBAND_FREQMEASCTRL1_AUTOTUNEEN_DEFAULT        0x00000000UL
#define BASEBAND_FREQMEASCTRL1_AUTOTUNEEN_DEFAULT         (_BASEBAND_FREQMEASCTRL1_AUTOTUNEEN_DEFAULT << 15)
#define BASEBAND_FREQMEASCTRL1_FREQMEASEN                 (0x1UL << 14)
#define _BASEBAND_FREQMEASCTRL1_FREQMEASEN_SHIFT          14
#define _BASEBAND_FREQMEASCTRL1_FREQMEASEN_MASK           0x4000UL
#define _BASEBAND_FREQMEASCTRL1_FREQMEASEN_DEFAULT        0x00000000UL
#define BASEBAND_FREQMEASCTRL1_FREQMEASEN_DEFAULT         (_BASEBAND_FREQMEASCTRL1_FREQMEASEN_DEFAULT << 14)
#define BASEBAND_FREQMEASCTRL1_OPENLOOPMANUAL             (0x1UL << 13)
#define _BASEBAND_FREQMEASCTRL1_OPENLOOPMANUAL_SHIFT      13
#define _BASEBAND_FREQMEASCTRL1_OPENLOOPMANUAL_MASK       0x2000UL
#define _BASEBAND_FREQMEASCTRL1_OPENLOOPMANUAL_DEFAULT    0x00000000UL
#define BASEBAND_FREQMEASCTRL1_OPENLOOPMANUAL_DEFAULT     (_BASEBAND_FREQMEASCTRL1_OPENLOOPMANUAL_DEFAULT << 13)
#define BASEBAND_FREQMEASCTRL1_OPENLOOP                   (0x1UL << 12)
#define _BASEBAND_FREQMEASCTRL1_OPENLOOP_SHIFT            12
#define _BASEBAND_FREQMEASCTRL1_OPENLOOP_MASK             0x1000UL
#define _BASEBAND_FREQMEASCTRL1_OPENLOOP_DEFAULT          0x00000000UL
#define BASEBAND_FREQMEASCTRL1_OPENLOOP_DEFAULT           (_BASEBAND_FREQMEASCTRL1_OPENLOOP_DEFAULT << 12)
#define BASEBAND_FREQMEASCTRL1_DELAYFIRSTMEAS             (0x1UL << 10)
#define _BASEBAND_FREQMEASCTRL1_DELAYFIRSTMEAS_SHIFT      10
#define _BASEBAND_FREQMEASCTRL1_DELAYFIRSTMEAS_MASK       0x400UL
#define _BASEBAND_FREQMEASCTRL1_DELAYFIRSTMEAS_DEFAULT    0x00000000UL
#define BASEBAND_FREQMEASCTRL1_DELAYFIRSTMEAS_DEFAULT     (_BASEBAND_FREQMEASCTRL1_DELAYFIRSTMEAS_DEFAULT << 10)
#define BASEBAND_FREQMEASCTRL1_DELAYALLMEAS               (0x1UL << 9)
#define _BASEBAND_FREQMEASCTRL1_DELAYALLMEAS_SHIFT        9
#define _BASEBAND_FREQMEASCTRL1_DELAYALLMEAS_MASK         0x200UL
#define _BASEBAND_FREQMEASCTRL1_DELAYALLMEAS_DEFAULT      0x00000000UL
#define BASEBAND_FREQMEASCTRL1_DELAYALLMEAS_DEFAULT       (_BASEBAND_FREQMEASCTRL1_DELAYALLMEAS_DEFAULT << 9)
#define _BASEBAND_FREQMEASCTRL1_BINSEARCHMSB_SHIFT        6
#define _BASEBAND_FREQMEASCTRL1_BINSEARCHMSB_MASK         0x1C0UL
#define _BASEBAND_FREQMEASCTRL1_BINSEARCHMSB_DEFAULT      0x00000005UL
#define BASEBAND_FREQMEASCTRL1_BINSEARCHMSB_DEFAULT       (_BASEBAND_FREQMEASCTRL1_BINSEARCHMSB_DEFAULT << 6)
#define _BASEBAND_FREQMEASCTRL1_TUNEVCOINIT_SHIFT         0
#define _BASEBAND_FREQMEASCTRL1_TUNEVCOINIT_MASK          0x3FUL
#define _BASEBAND_FREQMEASCTRL1_TUNEVCOINIT_DEFAULT       0x00000020UL
#define BASEBAND_FREQMEASCTRL1_TUNEVCOINIT_DEFAULT        (_BASEBAND_FREQMEASCTRL1_TUNEVCOINIT_DEFAULT << 0)

/* Bit fields for BASEBAND FREQMEASCTRL2 */
#define _BASEBAND_FREQMEASCTRL2_RESETVALUE               0x0000201EUL
#define _BASEBAND_FREQMEASCTRL2_MASK                     0x0000FFFFUL
#define _BASEBAND_FREQMEASCTRL2_FREQMEASTIMER_SHIFT      8
#define _BASEBAND_FREQMEASCTRL2_FREQMEASTIMER_MASK       0xFF00UL
#define _BASEBAND_FREQMEASCTRL2_FREQMEASTIMER_DEFAULT    0x00000020UL
#define BASEBAND_FREQMEASCTRL2_FREQMEASTIMER_DEFAULT     (_BASEBAND_FREQMEASCTRL2_FREQMEASTIMER_DEFAULT << 8)
#define _BASEBAND_FREQMEASCTRL2_TARGETPERIOD_SHIFT       0
#define _BASEBAND_FREQMEASCTRL2_TARGETPERIOD_MASK        0xFFUL
#define _BASEBAND_FREQMEASCTRL2_TARGETPERIOD_DEFAULT     0x0000001EUL
#define BASEBAND_FREQMEASCTRL2_TARGETPERIOD_DEFAULT      (_BASEBAND_FREQMEASCTRL2_TARGETPERIOD_DEFAULT << 0)

/* Bit fields for BASEBAND FREQMEASSHIFT */
#define _BASEBAND_FREQMEASSHIFT_RESETVALUE               0x00000035UL
#define _BASEBAND_FREQMEASSHIFT_MASK                     0x000000FFUL
#define _BASEBAND_FREQMEASSHIFT_FREQMEASSHIFT_SHIFT      0
#define _BASEBAND_FREQMEASSHIFT_FREQMEASSHIFT_MASK       0xFFUL
#define _BASEBAND_FREQMEASSHIFT_FREQMEASSHIFT_DEFAULT    0x00000035UL
#define BASEBAND_FREQMEASSHIFT_FREQMEASSHIFT_DEFAULT     (_BASEBAND_FREQMEASSHIFT_FREQMEASSHIFT_DEFAULT << 0)

/* Bit fields for BASEBAND FREQMEASSTATUS1 */
#define _BASEBAND_FREQMEASSTATUS1_RESETVALUE             0x00000000UL
#define _BASEBAND_FREQMEASSTATUS1_MASK                   0x0000F3FFUL
#define BASEBAND_FREQMEASSTATUS1_INVALIDEDGE             (0x1UL << 15)
#define _BASEBAND_FREQMEASSTATUS1_INVALIDEDGE_SHIFT      15
#define _BASEBAND_FREQMEASSTATUS1_INVALIDEDGE_MASK       0x8000UL
#define _BASEBAND_FREQMEASSTATUS1_INVALIDEDGE_DEFAULT    0x00000000UL
#define BASEBAND_FREQMEASSTATUS1_INVALIDEDGE_DEFAULT     (_BASEBAND_FREQMEASSTATUS1_INVALIDEDGE_DEFAULT << 15)
#define BASEBAND_FREQMEASSTATUS1_SIGNFOUND               (0x1UL << 14)
#define _BASEBAND_FREQMEASSTATUS1_SIGNFOUND_SHIFT        14
#define _BASEBAND_FREQMEASSTATUS1_SIGNFOUND_MASK         0x4000UL
#define _BASEBAND_FREQMEASSTATUS1_SIGNFOUND_DEFAULT      0x00000000UL
#define BASEBAND_FREQMEASSTATUS1_SIGNFOUND_DEFAULT       (_BASEBAND_FREQMEASSTATUS1_SIGNFOUND_DEFAULT << 14)
#define BASEBAND_FREQMEASSTATUS1_FREQSIGN                (0x1UL << 13)
#define _BASEBAND_FREQMEASSTATUS1_FREQSIGN_SHIFT         13
#define _BASEBAND_FREQMEASSTATUS1_FREQSIGN_MASK          0x2000UL
#define _BASEBAND_FREQMEASSTATUS1_FREQSIGN_DEFAULT       0x00000000UL
#define BASEBAND_FREQMEASSTATUS1_FREQSIGN_DEFAULT        (_BASEBAND_FREQMEASSTATUS1_FREQSIGN_DEFAULT << 13)
#define BASEBAND_FREQMEASSTATUS1_PERIODFOUND             (0x1UL << 12)
#define _BASEBAND_FREQMEASSTATUS1_PERIODFOUND_SHIFT      12
#define _BASEBAND_FREQMEASSTATUS1_PERIODFOUND_MASK       0x1000UL
#define _BASEBAND_FREQMEASSTATUS1_PERIODFOUND_DEFAULT    0x00000000UL
#define BASEBAND_FREQMEASSTATUS1_PERIODFOUND_DEFAULT     (_BASEBAND_FREQMEASSTATUS1_PERIODFOUND_DEFAULT << 12)
#define _BASEBAND_FREQMEASSTATUS1_NEARESTDIFF_SHIFT      0
#define _BASEBAND_FREQMEASSTATUS1_NEARESTDIFF_MASK       0x3FFUL
#define _BASEBAND_FREQMEASSTATUS1_NEARESTDIFF_DEFAULT    0x00000000UL
#define BASEBAND_FREQMEASSTATUS1_NEARESTDIFF_DEFAULT     (_BASEBAND_FREQMEASSTATUS1_NEARESTDIFF_DEFAULT << 0)

/* Bit fields for BASEBAND FREQMEASSTATUS2 */
#define _BASEBAND_FREQMEASSTATUS2_RESETVALUE           0x00000000UL
#define _BASEBAND_FREQMEASSTATUS2_MASK                 0x0000FFFFUL
#define _BASEBAND_FREQMEASSTATUS2_BEATTIMER_SHIFT      6
#define _BASEBAND_FREQMEASSTATUS2_BEATTIMER_MASK       0xFFC0UL
#define _BASEBAND_FREQMEASSTATUS2_BEATTIMER_DEFAULT    0x00000000UL
#define BASEBAND_FREQMEASSTATUS2_BEATTIMER_DEFAULT     (_BASEBAND_FREQMEASSTATUS2_BEATTIMER_DEFAULT << 6)
#define _BASEBAND_FREQMEASSTATUS2_BEATS_SHIFT          0
#define _BASEBAND_FREQMEASSTATUS2_BEATS_MASK           0x3FUL
#define _BASEBAND_FREQMEASSTATUS2_BEATS_DEFAULT        0x00000000UL
#define BASEBAND_FREQMEASSTATUS2_BEATS_DEFAULT         (_BASEBAND_FREQMEASSTATUS2_BEATS_DEFAULT << 0)

/* Bit fields for BASEBAND FREQMEASSTATUS3 */
#define _BASEBAND_FREQMEASSTATUS3_RESETVALUE         0x00000020UL
#define _BASEBAND_FREQMEASSTATUS3_MASK               0x0000003FUL
#define _BASEBAND_FREQMEASSTATUS3_TUNEVCO_SHIFT      0
#define _BASEBAND_FREQMEASSTATUS3_TUNEVCO_MASK       0x3FUL
#define _BASEBAND_FREQMEASSTATUS3_TUNEVCO_DEFAULT    0x00000020UL
#define BASEBAND_FREQMEASSTATUS3_TUNEVCO_DEFAULT     (_BASEBAND_FREQMEASSTATUS3_TUNEVCO_DEFAULT << 0)

/* Bit fields for BASEBAND SCRCTRL */
#define _BASEBAND_SCRCTRL_RESETVALUE          0x00000004UL
#define _BASEBAND_SCRCTRL_MASK                0x00000007UL
#define BASEBAND_SCRCTRL_SCRRESET             (0x1UL << 2)
#define _BASEBAND_SCRCTRL_SCRRESET_SHIFT      2
#define _BASEBAND_SCRCTRL_SCRRESET_MASK       0x4UL
#define _BASEBAND_SCRCTRL_SCRRESET_DEFAULT    0x00000001UL
#define BASEBAND_SCRCTRL_SCRRESET_DEFAULT     (_BASEBAND_SCRCTRL_SCRRESET_DEFAULT << 2)
#define BASEBAND_SCRCTRL_SCRWRITE             (0x1UL << 1)
#define _BASEBAND_SCRCTRL_SCRWRITE_SHIFT      1
#define _BASEBAND_SCRCTRL_SCRWRITE_MASK       0x2UL
#define _BASEBAND_SCRCTRL_SCRWRITE_DEFAULT    0x00000000UL
#define BASEBAND_SCRCTRL_SCRWRITE_DEFAULT     (_BASEBAND_SCRCTRL_SCRWRITE_DEFAULT << 1)
#define BASEBAND_SCRCTRL_SCRREAD              (0x1UL << 0)
#define _BASEBAND_SCRCTRL_SCRREAD_SHIFT       0
#define _BASEBAND_SCRCTRL_SCRREAD_MASK        0x1UL
#define _BASEBAND_SCRCTRL_SCRREAD_DEFAULT     0x00000000UL
#define BASEBAND_SCRCTRL_SCRREAD_DEFAULT      (_BASEBAND_SCRCTRL_SCRREAD_DEFAULT << 0)

/* Bit fields for BASEBAND SCRBUSY */
#define _BASEBAND_SCRBUSY_RESETVALUE         0x00000000UL
#define _BASEBAND_SCRBUSY_MASK               0x00000001UL
#define _BASEBAND_SCRBUSY_SCRBUSY_SHIFT      0
#define _BASEBAND_SCRBUSY_SCRBUSY_MASK       0x1UL
#define _BASEBAND_SCRBUSY_SCRBUSY_DEFAULT    0x00000000UL
#define BASEBAND_SCRBUSY_SCRBUSY_DEFAULT     (_BASEBAND_SCRBUSY_SCRBUSY_DEFAULT << 0)

/* Bit fields for BASEBAND SCRADDR */
#define _BASEBAND_SCRADDR_RESETVALUE         0x00000000UL
#define _BASEBAND_SCRADDR_MASK               0x000000FFUL
#define _BASEBAND_SCRADDR_SCRADDR_SHIFT      0
#define _BASEBAND_SCRADDR_SCRADDR_MASK       0xFFUL
#define _BASEBAND_SCRADDR_SCRADDR_DEFAULT    0x00000000UL
#define BASEBAND_SCRADDR_SCRADDR_DEFAULT     (_BASEBAND_SCRADDR_SCRADDR_DEFAULT << 0)

/* Bit fields for BASEBAND SCRWRITE */
#define _BASEBAND_SCRWRITE_RESETVALUE          0x00000000UL
#define _BASEBAND_SCRWRITE_MASK                0x0000FFFFUL
#define _BASEBAND_SCRWRITE_SCRWRITE_SHIFT      0
#define _BASEBAND_SCRWRITE_SCRWRITE_MASK       0xFFFFUL
#define _BASEBAND_SCRWRITE_SCRWRITE_DEFAULT    0x00000000UL
#define BASEBAND_SCRWRITE_SCRWRITE_DEFAULT     (_BASEBAND_SCRWRITE_SCRWRITE_DEFAULT << 0)

/* Bit fields for BASEBAND SCRREAD */
#define _BASEBAND_SCRREAD_RESETVALUE         0x00000000UL
#define _BASEBAND_SCRREAD_MASK               0x0000FFFFUL
#define _BASEBAND_SCRREAD_SCRREAD_SHIFT      0
#define _BASEBAND_SCRREAD_SCRREAD_MASK       0xFFFFUL
#define _BASEBAND_SCRREAD_SCRREAD_DEFAULT    0x00000000UL
#define BASEBAND_SCRREAD_SCRREAD_DEFAULT     (_BASEBAND_SCRREAD_SCRREAD_DEFAULT << 0)

/* Bit fields for BASEBAND SYNTHLOCK */
#define _BASEBAND_SYNTHLOCK_RESETVALUE        0x00000000UL
#define _BASEBAND_SYNTHLOCK_MASK              0x00000001UL
#define _BASEBAND_SYNTHLOCK_INLOCK_SHIFT      0
#define _BASEBAND_SYNTHLOCK_INLOCK_MASK       0x1UL
#define _BASEBAND_SYNTHLOCK_INLOCK_DEFAULT    0x00000000UL
#define BASEBAND_SYNTHLOCK_INLOCK_DEFAULT     (_BASEBAND_SYNTHLOCK_INLOCK_DEFAULT << 0)

/* Bit fields for BASEBAND ANCALSTATUS */
#define _BASEBAND_ANCALSTATUS_RESETVALUE         0x00000000UL
#define _BASEBAND_ANCALSTATUS_MASK               0x0000000CUL
#define _BASEBAND_ANCALSTATUS_VCOCTRL_SHIFT      2
#define _BASEBAND_ANCALSTATUS_VCOCTRL_MASK       0xCUL
#define _BASEBAND_ANCALSTATUS_VCOCTRL_DEFAULT    0x00000000UL
#define BASEBAND_ANCALSTATUS_VCOCTRL_DEFAULT     (_BASEBAND_ANCALSTATUS_VCOCTRL_DEFAULT << 2)

/* Bit fields for BASEBAND BIASCALSTATUS */
#define _BASEBAND_BIASCALSTATUS_RESETVALUE       0x00000000UL
#define _BASEBAND_BIASCALSTATUS_MASK             0x00000003UL
#define BASEBAND_BIASCALSTATUS_VCOMP             (0x1UL << 1)
#define _BASEBAND_BIASCALSTATUS_VCOMP_SHIFT      1
#define _BASEBAND_BIASCALSTATUS_VCOMP_MASK       0x2UL
#define _BASEBAND_BIASCALSTATUS_VCOMP_DEFAULT    0x00000000UL
#define BASEBAND_BIASCALSTATUS_VCOMP_DEFAULT     (_BASEBAND_BIASCALSTATUS_VCOMP_DEFAULT << 1)
#define BASEBAND_BIASCALSTATUS_ICOMP             (0x1UL << 0)
#define _BASEBAND_BIASCALSTATUS_ICOMP_SHIFT      0
#define _BASEBAND_BIASCALSTATUS_ICOMP_MASK       0x1UL
#define _BASEBAND_BIASCALSTATUS_ICOMP_DEFAULT    0x00000000UL
#define BASEBAND_BIASCALSTATUS_ICOMP_DEFAULT     (_BASEBAND_BIASCALSTATUS_ICOMP_DEFAULT << 0)

/* Bit fields for BASEBAND ATESTSEL */
#define _BASEBAND_ATESTSEL_RESETVALUE           0x00000000UL
#define _BASEBAND_ATESTSEL_MASK                 0x0000FF1FUL
#define _BASEBAND_ATESTSEL_ATESTCTRL_SHIFT      8
#define _BASEBAND_ATESTSEL_ATESTCTRL_MASK       0xFF00UL
#define _BASEBAND_ATESTSEL_ATESTCTRL_DEFAULT    0x00000000UL
#define BASEBAND_ATESTSEL_ATESTCTRL_DEFAULT     (_BASEBAND_ATESTSEL_ATESTCTRL_DEFAULT << 8)
#define _BASEBAND_ATESTSEL_ATESTSEL_SHIFT       0
#define _BASEBAND_ATESTSEL_ATESTSEL_MASK        0x1FUL
#define _BASEBAND_ATESTSEL_ATESTSEL_DEFAULT     0x00000000UL
#define BASEBAND_ATESTSEL_ATESTSEL_DEFAULT      (_BASEBAND_ATESTSEL_ATESTSEL_DEFAULT << 0)

/* Bit fields for BASEBAND ANENTEST */
#define _BASEBAND_ANENTEST_RESETVALUE             0x00000000UL
#define _BASEBAND_ANENTEST_MASK                   0x0000FFDDUL
#define BASEBAND_ANENTEST_ANTESTMODE              (0x1UL << 15)
#define _BASEBAND_ANENTEST_ANTESTMODE_SHIFT       15
#define _BASEBAND_ANENTEST_ANTESTMODE_MASK        0x8000UL
#define _BASEBAND_ANENTEST_ANTESTMODE_DEFAULT     0x00000000UL
#define BASEBAND_ANENTEST_ANTESTMODE_DEFAULT      (_BASEBAND_ANENTEST_ANTESTMODE_DEFAULT << 15)
#define BASEBAND_ANENTEST_PFDEN                   (0x1UL << 14)
#define _BASEBAND_ANENTEST_PFDEN_SHIFT            14
#define _BASEBAND_ANENTEST_PFDEN_MASK             0x4000UL
#define _BASEBAND_ANENTEST_PFDEN_DEFAULT          0x00000000UL
#define BASEBAND_ANENTEST_PFDEN_DEFAULT           (_BASEBAND_ANENTEST_PFDEN_DEFAULT << 14)
#define BASEBAND_ANENTEST_ADCEN                   (0x1UL << 13)
#define _BASEBAND_ANENTEST_ADCEN_SHIFT            13
#define _BASEBAND_ANENTEST_ADCEN_MASK             0x2000UL
#define _BASEBAND_ANENTEST_ADCEN_DEFAULT          0x00000000UL
#define BASEBAND_ANENTEST_ADCEN_DEFAULT           (_BASEBAND_ANENTEST_ADCEN_DEFAULT << 13)
#define BASEBAND_ANENTEST_UNUSED                  (0x1UL << 12)
#define _BASEBAND_ANENTEST_UNUSED_SHIFT           12
#define _BASEBAND_ANENTEST_UNUSED_MASK            0x1000UL
#define _BASEBAND_ANENTEST_UNUSED_DEFAULT         0x00000000UL
#define BASEBAND_ANENTEST_UNUSED_DEFAULT          (_BASEBAND_ANENTEST_UNUSED_DEFAULT << 12)
#define BASEBAND_ANENTEST_PREFILTEN               (0x1UL << 11)
#define _BASEBAND_ANENTEST_PREFILTEN_SHIFT        11
#define _BASEBAND_ANENTEST_PREFILTEN_MASK         0x800UL
#define _BASEBAND_ANENTEST_PREFILTEN_DEFAULT      0x00000000UL
#define BASEBAND_ANENTEST_PREFILTEN_DEFAULT       (_BASEBAND_ANENTEST_PREFILTEN_DEFAULT << 11)
#define BASEBAND_ANENTEST_IFAMPEN                 (0x1UL << 10)
#define _BASEBAND_ANENTEST_IFAMPEN_SHIFT          10
#define _BASEBAND_ANENTEST_IFAMPEN_MASK           0x400UL
#define _BASEBAND_ANENTEST_IFAMPEN_DEFAULT        0x00000000UL
#define BASEBAND_ANENTEST_IFAMPEN_DEFAULT         (_BASEBAND_ANENTEST_IFAMPEN_DEFAULT << 10)
#define BASEBAND_ANENTEST_LNAEN                   (0x1UL << 9)
#define _BASEBAND_ANENTEST_LNAEN_SHIFT            9
#define _BASEBAND_ANENTEST_LNAEN_MASK             0x200UL
#define _BASEBAND_ANENTEST_LNAEN_DEFAULT          0x00000000UL
#define BASEBAND_ANENTEST_LNAEN_DEFAULT           (_BASEBAND_ANENTEST_LNAEN_DEFAULT << 9)
#define BASEBAND_ANENTEST_MIXEREN                 (0x1UL << 8)
#define _BASEBAND_ANENTEST_MIXEREN_SHIFT          8
#define _BASEBAND_ANENTEST_MIXEREN_MASK           0x100UL
#define _BASEBAND_ANENTEST_MIXEREN_DEFAULT        0x00000000UL
#define BASEBAND_ANENTEST_MIXEREN_DEFAULT         (_BASEBAND_ANENTEST_MIXEREN_DEFAULT << 8)
#define BASEBAND_ANENTEST_CHFILTEN                (0x1UL << 7)
#define _BASEBAND_ANENTEST_CHFILTEN_SHIFT         7
#define _BASEBAND_ANENTEST_CHFILTEN_MASK          0x80UL
#define _BASEBAND_ANENTEST_CHFILTEN_DEFAULT       0x00000000UL
#define BASEBAND_ANENTEST_CHFILTEN_DEFAULT        (_BASEBAND_ANENTEST_CHFILTEN_DEFAULT << 7)
#define BASEBAND_ANENTEST_MODDACEN                (0x1UL << 6)
#define _BASEBAND_ANENTEST_MODDACEN_SHIFT         6
#define _BASEBAND_ANENTEST_MODDACEN_MASK          0x40UL
#define _BASEBAND_ANENTEST_MODDACEN_DEFAULT       0x00000000UL
#define BASEBAND_ANENTEST_MODDACEN_DEFAULT        (_BASEBAND_ANENTEST_MODDACEN_DEFAULT << 6)
#define BASEBAND_ANENTEST_PAEN                    (0x1UL << 4)
#define _BASEBAND_ANENTEST_PAEN_SHIFT             4
#define _BASEBAND_ANENTEST_PAEN_MASK              0x10UL
#define _BASEBAND_ANENTEST_PAEN_DEFAULT           0x00000000UL
#define BASEBAND_ANENTEST_PAEN_DEFAULT            (_BASEBAND_ANENTEST_PAEN_DEFAULT << 4)
#define BASEBAND_ANENTEST_PRESCALEREN             (0x1UL << 3)
#define _BASEBAND_ANENTEST_PRESCALEREN_SHIFT      3
#define _BASEBAND_ANENTEST_PRESCALEREN_MASK       0x8UL
#define _BASEBAND_ANENTEST_PRESCALEREN_DEFAULT    0x00000000UL
#define BASEBAND_ANENTEST_PRESCALEREN_DEFAULT     (_BASEBAND_ANENTEST_PRESCALEREN_DEFAULT << 3)
#define BASEBAND_ANENTEST_VCOEN                   (0x1UL << 2)
#define _BASEBAND_ANENTEST_VCOEN_SHIFT            2
#define _BASEBAND_ANENTEST_VCOEN_MASK             0x4UL
#define _BASEBAND_ANENTEST_VCOEN_DEFAULT          0x00000000UL
#define BASEBAND_ANENTEST_VCOEN_DEFAULT           (_BASEBAND_ANENTEST_VCOEN_DEFAULT << 2)
#define BASEBAND_ANENTEST_BIASEN                  (0x1UL << 0)
#define _BASEBAND_ANENTEST_BIASEN_SHIFT           0
#define _BASEBAND_ANENTEST_BIASEN_MASK            0x1UL
#define _BASEBAND_ANENTEST_BIASEN_DEFAULT         0x00000000UL
#define BASEBAND_ANENTEST_BIASEN_DEFAULT          (_BASEBAND_ANENTEST_BIASEN_DEFAULT << 0)

/* Bit fields for BASEBAND TUNEFILTERCTRL */
#define _BASEBAND_TUNEFILTERCTRL_RESETVALUE                 0x00000000UL
#define _BASEBAND_TUNEFILTERCTRL_MASK                       0x00000003UL
#define BASEBAND_TUNEFILTERCTRL_TUNEFILTEREN                (0x1UL << 1)
#define _BASEBAND_TUNEFILTERCTRL_TUNEFILTEREN_SHIFT         1
#define _BASEBAND_TUNEFILTERCTRL_TUNEFILTEREN_MASK          0x2UL
#define _BASEBAND_TUNEFILTERCTRL_TUNEFILTEREN_DEFAULT       0x00000000UL
#define BASEBAND_TUNEFILTERCTRL_TUNEFILTEREN_DEFAULT        (_BASEBAND_TUNEFILTERCTRL_TUNEFILTEREN_DEFAULT << 1)
#define BASEBAND_TUNEFILTERCTRL_TUNEFILTERRESET             (0x1UL << 0)
#define _BASEBAND_TUNEFILTERCTRL_TUNEFILTERRESET_SHIFT      0
#define _BASEBAND_TUNEFILTERCTRL_TUNEFILTERRESET_MASK       0x1UL
#define _BASEBAND_TUNEFILTERCTRL_TUNEFILTERRESET_DEFAULT    0x00000000UL
#define BASEBAND_TUNEFILTERCTRL_TUNEFILTERRESET_DEFAULT     (_BASEBAND_TUNEFILTERCTRL_TUNEFILTERRESET_DEFAULT << 0)

/* Bit fields for BASEBAND NOISEEN */
#define _BASEBAND_NOISEEN_RESETVALUE         0x00000000UL
#define _BASEBAND_NOISEEN_MASK               0x00000001UL
#define _BASEBAND_NOISEEN_NOISEEN_SHIFT      0
#define _BASEBAND_NOISEEN_NOISEEN_MASK       0x1UL
#define _BASEBAND_NOISEEN_NOISEEN_DEFAULT    0x00000000UL
#define BASEBAND_NOISEEN_NOISEEN_DEFAULT     (_BASEBAND_NOISEEN_NOISEEN_DEFAULT << 0)

/** @} End of group EM355X_BASEBAND_BitFields */

#endif // EM355X_BASEBAND_H
